Apache log4cxx Version @version@

Classes | Namespaces | Typedefs
patternparser.h File Reference

## Classes
class | PatternParser
| Most of the work of the `PatternLayout` class is delegated to the PatternParser class. More...

## Namespaces
namespace | log4cxx
namespace | log4cxx::pattern

## Typedefs
typedef PatternConverterPtr(* | PatternConstructor) (const std::vector< LogString > &options)
typedef std::map< LogString, PatternConstructor > | PatternMap